Skip to main content

playerInfo

This method should be called in order to get player details (including balance) by externalToken passed to game client.

Request Example

POST /playerInfo HTTP/1.1
Content-Type: application/json
https://stg.otkgaming.com/playerInfo
{
"externalToken" : "valid-session-token"
}

Property NameDescriptioTypeNotes
externalTokenplayer’s session tokenstring(255)value passed upon game launch as query parameter

Response Example

https://stg.otkgaming.com/playerInfo
{
"country" : "UK",
"currency" : "EUR",
"balance" : 10000,
"playerId" : "abc123"
}

Property NameDescriptioTypeNotes
playerIdunique player identifierstring(100)unique per platform
balanceplayer’s balancedecimal balance in decimal number
currencyplayer’s currencystring(3) ISO-4217-3 format
countryplayer’s countrystring(2) ISO-3166-1 alpha-2 format